
EXTERN kSysExit, kFork, loadConfig, startupMessage, sock
EXTERN cfgBindIp, cfgBindPort, isDoFork, strProcessForked



SECTION .code
GLOBAL _start   ; program start point
_start:

    mov eax, dword [isDoFork] ; should we do fork() ?
    cmp eax, 0                ; really?
    jz .afterFork             ; no, just continue loading

.doFork:
    call kFork          ; do fork()
    cmp eax, 0          ; 0 means we are forked
    je .afterFork       ; run the server
    
    jmp .exitProgram    ; parent process should exit

.afterFork:
    call loadConfig     ; load configuration from file

    call startupMessage ; echo startup message to console

    call sock           ; create and listen network socket
    
    
.exitProgram:
    call kSysExit       ; stop the process
    

