
SEGMENT .rodata

GLOBAL fOpenRead:DATA, fOpenWrite:DATA, fOpenAppend:DATA
fOpenRead:     db 'r', 0 ; read only flag 
fOpenWrite:    db 'w', 0 ; write flag 
fOpenAppend:   db 'a', 0 ; append file

GLOBAL strFileNotFound:DATA, strTerminating:DATA, strDebugGeneral:DATA
GLOBAL strStartMsg:DATA, strProcessForked:DATA, strHandlerStatic:DATA
strFileNotFound:  db 'File "%s" is not found!', 10, 0
strTerminating:   db 'Terminating application..', 10, 0
strDebugGeneral:  db '%s: %s', 10, 0
strStartMsg:      db 10, 'Starting up server, build date: ', \
                        __DATE__, ' ',__TIME__,  \
                        '. Bind to %s:%d', 10, 0
strProcessForked: db 'Process forked, pid: %d', 10,  0
strHandlerStatic: db 'handlerStatic: %s', 10, 0


GLOBAL fileDebug:DATA, fileConfig:DATA
fileDebug:      db './debug.log',0  ; file for debug info
fileConfig:     db './aweb.conf',0  ; config file

GLOBAL maxConnections:DATA
maxConnections: dd 1024

GLOBAL maxHeaders:DATA
maxHeaders: dd 1024

GLOBAL cgiBinFolder:DATA
cgiBinFolder: db '/cgi-bin', 0  ; prefix for cgi programs

GLOBAL headerHTTP200:DATA, headerStd:DATA, headerServer:DATA
headerHTTP200: db 'HTTP/1.0 200 OK', 10, 13, 0
headerServer: db "Server: ruX's simple web server written in NASM", 10, 13, 0 
headerStd: 
    db 'Connection: close', 10, 13
    db 'Cache-Control: no-cache,no-store,max-age=0,must-revalidate', 10, 13
    db 10, 13
    db 0



GLOBAL isDoFork:DATA
isDoFork: dd 1
